GNU bug report logs - #28839
25.3; ERC: Error in post-command-hook (erc-scroll-to-bottom): (error "‘recenter’ing a window that does not display current-buffer.")

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: s1ohy@HIDDEN; merged with #11697, #14573, #16697; dated Sat, 14 Oct 2017 19:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 11697 14573 16697 28839. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2017 19:09:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 14 15:09:41 2017
Received: from localhost ([127.0.0.1]:40526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e3RoZ-00018t-II
	for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 15:09:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <s1ohy@HIDDEN>) id 1e3RYW-0000id-Jx
 for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 14:53:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <s1ohy@HIDDEN>) id 1e3RYP-00008E-9b
 for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 14:52:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55758)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <s1ohy@HIDDEN>) id 1e3RYP-00007o-6K
 for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 14:52:57 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33697)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <s1ohy@HIDDEN>) id 1e3RYM-0006LP-TL
 for bug-gnu-emacs@HIDDEN; Sat, 14 Oct 2017 14:52:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <s1ohy@HIDDEN>) id 1e3RYJ-0008S3-Nl
 for bug-gnu-emacs@HIDDEN; Sat, 14 Oct 2017 14:52:54 -0400
Received: from cock.li ([185.100.85.212]:47154)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <s1ohy@HIDDEN>) id 1e3RYJ-0008Ps-BE
 for bug-gnu-emacs@HIDDEN; Sat, 14 Oct 2017 14:52:51 -0400
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=waifu.club; s=mail;
 t=1508007166; bh=++tt38Vwm/8J3c6IKwHqB22+Sn6Yb7nOm0fo8+WSEPc=;
 h=Date:From:To:Subject:From;
 b=ooUKNQya/atjb17sTcQn9/Hcoqt3B0ukCbST8+Y93IoxNo2dkA66ABZU94ocwHG0w
 HzFB4acIeB1GzA95f8F9e5uqODYct8W3g6jipyWYYO1SmHHAyICuuuBysOrpAxVZH/
 lpgVLgx46cUf8R3fseSBHkA2jL9DfkVeASKsfF9zt2fIn2BUfmcGLc4EvpvNkgxJ/U
 63LSw+dPS7Ca7HvyPwANxRBxG/DWsOmqCsPrf5vVCdKNBH3xDjFm2Ig4I7ZCT30pV8
 dDh+h2G+dPQxPq11ezb5aNrhSqlDVpxGkl66P7pZXVMYreBEtL/EPSI39smkRDJZhA
 QwwbU4QWRg80A==
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Date: Sat, 14 Oct 2017 12:52:46 -0600
From: s1ohy@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: =?UTF-8?Q?25=2E3=3B_ERC=3A_Error_in_post-command-hook_=28erc-scr?=
 =?UTF-8?Q?oll-to-bottom=29=3A_=28error_=22=E2=80=98recenter=E2=80=99ing_a?=
 =?UTF-8?Q?_window_that_does_not_display_current-buffer=2E=22=29?=
X-Priority: 1 (Highest)
Message-ID: <7e90ad868892e70a0cdbf8aec8ac1a0b@HIDDEN>
X-Sender: s1ohy@HIDDEN
User-Agent: Roundcube Webmail/1.3.1 
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 14 Oct 2017 15:09:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

Running Emacs 25.3.1, I run into the error:
Error in post-command-hook (erc-scroll-to-bottom): (error "=E2=80=98recen=
ter=E2=80=99ing
a window that does not display current-buffer.")

 From 'emacs -Q' this can be reproduced by evaluating:
(require 'erc-goodies)
(setq erc-input-line-position -1)
(erc-scrolltobottom-enable)

Join a server; join a channel and wait for all the text to load; join
another channel, then switch back to previous channel.

---------------------------------------------------------------------


In GNU Emacs 25.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
  of 2017-09-15 built on c
Windowing system distributor 'The X.Org Foundation', version=20
11.0.11903000
System Description:	Ubuntu 16.04.3 LTS

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS NOTIFY FREETYPE XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
   recentf-mode: t
   winner-mode: t
   which-key-mode: t
   ace-popup-menu-mode: t
   pdf-occur-global-minor-mode: t
   show-paren-mode: t
   display-time-mode: t
   ivy-mode: t
   delete-selection-mode: t
   erc-spelling-mode: t
   erc-log-mode: t
   erc-list-mode: t
   erc-menu-mode: t
   erc-autojoin-mode: t
   erc-ring-mode: t
   erc-networks-mode: t
   erc-pcomplete-mode: t
   erc-track-mode: t
   erc-track-minor-mode: t
   erc-match-mode: t
   erc-button-mode: t
   erc-fill-mode: t
   erc-stamp-mode: t
   erc-netsplit-mode: t
   erc-irccontrols-mode: t
   erc-noncommands-mode: t
   erc-move-to-prompt-mode: t
   erc-readonly-mode: t
   erc-scrolltobottom-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
Opening TLS connection with =E2=80=98gnutls-cli --x509cafile=20
/etc/ssl/certs/ca-certificates.crt -p 6697 lainchan.org --protocols=20
ssl3=E2=80=99...failed
Opening TLS connection with =E2=80=98openssl s_client -connect lainchan.o=
rg:6697=20
-no_ssl2 -ign_eof=E2=80=99...done
Opening TLS connection to =E2=80=98lainchan.org=E2=80=99...done
Connecting to lainchan.org:6697... ...done
Logging in as `S1ohy'...
Logging in without password
Logging in as =E2=80=98S1ohy=E2=80=99... done
Error in post-command-hook (erc-scroll-to-bottom): (error "=E2=80=98recen=
ter=E2=80=99ing=20
a window that does not display current-buffer.")
Quit [2 times]
Error in post-command-hook (erc-scroll-to-bottom): (error "=E2=80=98recen=
ter=E2=80=99ing=20
a window that does not display current-buffer.")

Load-path shadows:
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-playlist-mode hides=20
/usr/local/share/emacs/site-lisp/emms/emms-playlist-mode
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-mark hides=20
/usr/local/share/emacs/site-lisp/emms/emms-mark
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-browser hides=20
/usr/local/share/emacs/site-lisp/emms/emms-browser
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-info-mp3info hides=20
/usr/local/share/emacs/site-lisp/emms/emms-info-mp3info
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-stream-info hides=20
/usr/local/share/emacs/site-lisp/emms/emms-stream-info
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-last-played hides=20
/usr/local/share/emacs/site-lisp/emms/emms-last-played
/home/u/.emacs.d/elpa/emms-20170913.1307/jack hides=20
/usr/local/share/emacs/site-lisp/emms/jack
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-bookmarks hides=20
/usr/local/share/emacs/site-lisp/emms/emms-bookmarks
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-player-mplayer hides=20
/usr/local/share/emacs/site-lisp/emms/emms-player-mplayer
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-show-all hides=20
/usr/local/share/emacs/site-lisp/emms/emms-show-all
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-lyrics hides=20
/usr/local/share/emacs/site-lisp/emms/emms-lyrics
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-volume-amixer hides=20
/usr/local/share/emacs/site-lisp/emms/emms-volume-amixer
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-compat hides=20
/usr/local/share/emacs/site-lisp/emms/emms-compat
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-info-metaflac hides=20
/usr/local/share/emacs/site-lisp/emms/emms-info-metaflac
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-mode-line-icon hides=20
/usr/local/share/emacs/site-lisp/emms/emms-mode-line-icon
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-history hides=20
/usr/local/share/emacs/site-lisp/emms/emms-history
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-source-file hides=20
/usr/local/share/emacs/site-lisp/emms/emms-source-file
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-score hides=20
/usr/local/share/emacs/site-lisp/emms/emms-score
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-cue hides=20
/usr/local/share/emacs/site-lisp/emms/emms-cue
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-player-mpg321-remote hides=20
/usr/local/share/emacs/site-lisp/emms/emms-player-mpg321-remote
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-player-simple hides=20
/usr/local/share/emacs/site-lisp/emms/emms-player-simple
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-volume-pulse hides=20
/usr/local/share/emacs/site-lisp/emms/emms-volume-pulse
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-i18n hides=20
/usr/local/share/emacs/site-lisp/emms/emms-i18n
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-info-libtag hides=20
/usr/local/share/emacs/site-lisp/emms/emms-info-libtag
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-librefm-stream hides=20
/usr/local/share/emacs/site-lisp/emms/emms-librefm-stream
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-info-ogginfo hides=20
/usr/local/share/emacs/site-lisp/emms/emms-info-ogginfo
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-playlist-sort hides=20
/usr/local/share/emacs/site-lisp/emms/emms-playlist-sort
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-playlist-limit hides=20
/usr/local/share/emacs/site-lisp/emms/emms-playlist-limit
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-streams hides=20
/usr/local/share/emacs/site-lisp/emms/emms-streams
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-cache hides=20
/usr/local/share/emacs/site-lisp/emms/emms-cache
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-player-vlc hides=20
/usr/local/share/emacs/site-lisp/emms/emms-player-vlc
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-setup hides=20
/usr/local/share/emacs/site-lisp/emms/emms-setup
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-source-playlist hides=20
/usr/local/share/emacs/site-lisp/emms/emms-source-playlist
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-metaplaylist-mode hides=20
/usr/local/share/emacs/site-lisp/emms/emms-metaplaylist-mode
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-mode-line hides=20
/usr/local/share/emacs/site-lisp/emms/emms-mode-line
/home/u/.emacs.d/elpa/emms-20170913.1307/emms hides=20
/usr/local/share/emacs/site-lisp/emms/emms
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-volume hides=20
/usr/local/share/emacs/site-lisp/emms/emms-volume
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-player-mpd hides=20
/usr/local/share/emacs/site-lisp/emms/emms-player-mpd
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-playing-time hides=20
/usr/local/share/emacs/site-lisp/emms/emms-playing-time
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-info hides=20
/usr/local/share/emacs/site-lisp/emms/emms-info
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-librefm-scrobbler hides=20
/usr/local/share/emacs/site-lisp/emms/emms-librefm-scrobbler
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-tag-editor hides=20
/usr/local/share/emacs/site-lisp/emms/emms-tag-editor
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-url hides=20
/usr/local/share/emacs/site-lisp/emms/emms-url
/home/u/.emacs.d/elpa/emms-20170913.1307/later-do hides=20
/usr/local/share/emacs/site-lisp/emms/later-do
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-maint hides=20
/usr/local/share/emacs/site-lisp/emms/emms-maint
/home/u/.emacs.d/elpa/emms-20170913.1307/emms-player-xine hides=20
/usr/local/share/emacs/site-lisp/emms/emms-player-xine

Features:
(shadow mail-extr emacsbug message rfc822 mml mml-sec epg mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mail-utils recentf tree-widget
network-stream nsm starttls tls gnutls colir color lispy hydra lv iedit
iedit-lib lispy-inline subr-x semantic/db eieio-base ediff-merg
ediff-wind ediff-diff ediff-mult ediff-help ediff-init ediff-util ediff
edebug lispy-tags winner forth-mode derived info-look speedbar sb-image
ezimage dframe smart-mode-line-respectful-theme smart-mode-line
rich-minority which-key ace-popup-menu avy-menu pdf-occur ibuf-ext
ibuffer tablist tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local find-func cedet
pdf-isearch let-alist pdf-misc imenu pdf-tools cus-edit cus-start
cus-load pdf-view bookmark pdf-cache pdf-info pdf-util image-mode
ace-link emms-librefm-stream xml emms-librefm-scrobbler
emms-playlist-limit emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-cue emms-mode-line-icon
emms-browser sort emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd emms-playing-time emms-lyrics emms-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap emms-streams emms-show-all emms-tag-editor emms-mark
emms-mode-line emms-cache emms-info-ogginfo emms-info-mp3info emms-info
emms-player-vlc advice emms-player-mplayer emms-setup paren time
zenburn-theme ace-flyspell avy counsel jka-compr esh-util swiper ivy
delsel ivy-overlay ffap url-parse url-vars
emms-player-simple-mpv-control-functions emms-player-simple-mpv later-do
tq json map emms-volume emms-volume-amixer emms-playlist-mode
emms-source-playlist emms-source-file locate dired emms-player-simple
emms emms-compat erc-spelling flyspell ispell erc-log erc-list erc-menu
erc-join erc-ring erc-networks erc-pcomplete pcomplete erc-track
erc-match erc-button wid-edit erc-fill erc-stamp erc-netsplit
erc-goodies erc erc-backend erc-compat format-spec auth-source gnus-util
mm-util help-fns mail-prsvr password-cache slime-repl slime-parse slime
compile etags xref project eieio eieio-core arc-mode archive-mode
noutline outline easy-mmode pp comint ansi-color ring hyperspec
thingatpt browse-url finder-inf edmacro kmacro slime-autoloads info
cl-seq cl-macs cl package epg-config seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 344987 17995)
  (symbols 48 42482 0)
  (miscs 40 484 459)
  (strings 32 95077 18135)
  (string-bytes 1 3608197)
  (vectors 16 46431)
  (vector-slots 8 1553519 106293)
  (floats 8 716 128)
  (intervals 56 953 602)
  (buffers 976 25)
  (heap 1024 75114 2151))




Acknowledgement sent to s1ohy@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28839; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 15 Jul 2019 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.